System.ServiceModel 4.0.0.0 System.ServiceModel.EndpointIdentity

An SPN is the name by which a client uniquely identifies an instance of a service. If you install multiple instances of a service on computers throughout a forest, each instance must have its own SPN. A given service instance can have multiple SPNs if there are multiple names that clients might use for authentication.

When a client wants to connect to a service, it locates an instance of the service, composes an SPN for that instance, and sets the identity to a . A check will be made that the message is intended for that service.

The three authentication modes used under Kerberos are:

SSPINegotiate

Kerberos

KerberosOverTransport.

Represents a service principal name (SPN) for an identity when the binding uses Kerberos.

- Constructor
  4.0.0.0

  This constructor sets the property to 1 minute.

  Initializes a new instance of with the specified identity claim.

  The identity for this service principal name (SPN).
- Constructor
  4.0.0.0
  To be added.

  This constructor sets the property to 1 minute.

  Initializes a new instance of with the specified service principal name (SPN).

- Property
  4.0.0.0
  System.TimeSpan To be added. To be added.

  Specifies the maximum time allowed to look up the service principal name (SPN).